+++
title = "Fixing middle trackpoint button"
date = 2019-08-26

[extra]
author = "Emil Miler"

[taxonomies]
categories = ["Hardware", "ThinkPad"]
+++

You might have attempted to [replace the keyboard on your T430](@/posts/classic-keyboard/index.md) and you broke the middle trackpoint button. Well, here is how to fix it.

<!-- more -->

## The problem of the middle button

Despite all the engineering old ThinkPads went trough, the xx20 series keyboards have a crappy middle thrackpoint button. It is pivoting around two long plastic hinges with a very tiny diameter. Those hinges like to snap when the key is being pushed the wrong way or is removed incorrectly.

## Buying a replacement key

Well, this option is there, but who would want to spend insane amount of money on a single key?

If you do decide to go this route, be aware that there are [several manufacturers of the keyboard](@/posts/classic-keyboard/index.md#comparing-manufacturers) and they all have slightly different keys.

## Fixing the problem

I have tried several ways of fixing the key, including 3D printing a replacement hinges and gluing them. I even tried printing the full key altogether. None of these methods worked well though, as printing such a small part is pretty difficult on a typical FDM printer. I guess you could do it with an SLA printer though.

I ended up replacing the hinges with metal. Yes, parts made of metal and plastic rubbing each other do not lead to good results in the long-run, but this one works well.

![Comparison of original and fixed buttons](comparison.jpg)
*Button on the left is original (albeit from an xx30 keyboard) and button on the right is the one I fixed.*

I ~~borrowed~~ stole some sewing needles from my girlfriend, heated them up on open flame and inserted them into the nubs from where the hinges used to protrude. It melted the plastic and created a hole for itself and it stayed in place after cooling down. I then shortened the needles with simple pliers and the hinges were back!

Sometimes, when fixing other hinges, the needle would not stay in place and would move about. A quick solution is to put a small dab of hot glue on it and the problem is fixed.

Interestingly, this solution is working years after it's conception to this very day. ~~I use the machine daily~~ and it still holds up, although I do not dare to take the key out to inspect how it's doing. I will likely replace the whole keyboard before it breaks completely.
